#fake a load function, also add start items to load since bedrock doesnt have a load
scoreboard objectives add te_loaded dummy

#wont change loaded once set, but sets it to 0 if it is null
scoreboard players add _game_data te_loaded 0
scoreboard players operation @a te_loaded = _game_data te_loaded
scoreboard players operation @a te_countDownFast = _game_data te_countDownFast

scoreboard players add @a te_player_loaded 0
execute as @a[limit=1,scores={te_player_loaded=..4}] at @s run execute as @s[scores={te_loaded=4}] at @s run function teleporters:playerstartup/player_load

#run for the first time posibly more if needed. unfortunately needs to be in the tick function teleporters:as there is no load function teleporters:in bedrock
execute as @a[limit=1,scores={te_loaded=..3}] at @s run function teleporters:startup/load



#every 5 ticks we "do stuff". no sense in loading down the game, most things can happen every so often.
execute as @a[limit=1,scores={te_countDownFast=..0}] at @s run function teleporters:teleporters_periodic_fast

scoreboard players remove _game_data te_countDownFast 1
